Zuplo Developer API

Zuplo environments


Query environments

GET
https://dev.zuplo.com
/v1/environments

Query the environments by project and account. Also returns managed dedicated environments the user owns.

Query environments › query Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

projectName
​string · required

The name of the project. You can find this in your Zuplo Portal under Settings > Project Information.

Query environments › Responses

The request has succeeded.


Get an environment

GET
https://dev.zuplo.com
/v1/environments/{environmentName}

Gets the specified environment.

Get an environment › path Parameters

environmentName
​string · required

The name of the environment.

Get an environment › Responses

The request has succeeded.

The environment representing a Zup. This is mainly used in self-hosting deployments.
name
​string · required

The name of the environment.

Example: lime-fox-main-bbe7540
createdOn
​string · required
accountName
​string · required
projectName
​string · required
branchName
​string · required
environmentType
​string · enum · required
Enum values:
production
preview
development
Example: production